/* An enhanced style for the forum, Web 2.0 - like*/
/* mixins */
@media print {
  #forum .searchbar,
  #forum div[data-type="page_chooser"],
  #forum .likes,
  #forum dl.postprofile {
    display: none;
  }
  #forum div.title p.author {
    margin-bottom: 0px;
  }
  #forum div.postbody {
    width: 100%;
  }
}
.ui-dialog {
  box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.2);
}
html.no-js #forum .js {
  display: none;
}
html.no-js #forum .handle {
  cursor: default;
}
#forum img.button,
#forum input[type=image] {
  vertical-align: middle;
}
#forum form {
  display: inline;
}
#forum span.highlight {
  background-color: #ffe4ad;
  border: 1px solid #ffe4ad;
  border-radius: 3px;
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
}
#forum .searchbar {
  text-align: left;
}
#forum .searchbar input[name=searchfor] {
  width: 90%;
}
#forum .forum_header {
  background-color: #899ab9;
  color: #ffffff;
  margin: 0pt;
  padding: 0pt;
}
#forum .forum_header .button {
  margin: 0px;
}
#forum .heading {
  display: block;
  margin: 1px 4px 4px 6px;
  text-transform: uppercase;
}
#forum table.forum td.selected {
  background-color: #ffe4ad;
}
#forum td.postings {
  vertical-align: middle;
  text-align: center;
  width: 80px;
}
#forum td.answer {
  width: 300px;
}
#forum .area_title {
  padding: 0 5px;
  font-weight: bold;
  text-transform: uppercase;
}
#forum .area_input {
  display: block;
  padding: 0 5px;
}
#forum .add_area_form {
  display: block;
  padding: 0 5px;
  text-align: center;
}
#forum td.add_area {
  font-weight: bold;
  font-size: 16pt;
  text-align: right;
  padding-right: 12px;
}
#forum td.add_area img {
  margin-bottom: -3px;
}
#forum td.add_area span {
  font-size: 10pt;
  font-weight: normal;
}
#forum td.add_area:hover {
  cursor: pointer;
}
#forum td.add_area:hover span {
  color: #FF3333;
}
#forum .icon {
  padding: 0;
  margin: 0pt;
  width: 30px;
  height: 50px;
  white-space: nowrap;
  text-align: center;
  vertical-align: middle;
}
#forum .icon_thread {
  padding: 0pt;
  margin: 0pt;
  width: 40px;
  height: 30px;
}
#forum span.areaname {
  display: block;
  margin-right: 55px;
  font-weight: bold;
}
#forum span.threadauthor {
  float: left;
  width: 70%;
}
#forum .posting {
  height: 100%;
  margin: 0 0 0.75em 0;
  padding: 0;
  background-color: #e7ebf1;
}
#forum .posting a {
  word-break: break-all;
}
#forum .posting a.link-extern,
#forum .posting a.link-intern {
  display: inline-block;
  max-width: 50vw;
  overflow: hidden;
  text-overflow: ellipsis;
  vertical-align: top;
}
#forum .real_posting {
  display: flex;
}
@keyframes border-pulsate {
  0% {
    border-color: #ffff99;
  }
  50% {
    border-color: rgba(255, 255, 153, 0);
  }
  100% {
    border-color: #ffff99;
  }
}
#forum div.highlight {
  border: 4px solid #ffe4ad;
  animation: border-pulsate 2s 5;
}
#forum .postbody {
  position: relative;
  padding: 0pt 5px;
  margin: 5px 0 0 0;
  flex: 1;
  text-align: left;
}
#forum .buttons {
  clear: both;
  width: 100%;
  text-align: center;
  padding-top: 5px;
}
#forum div.title {
  text-align: left;
  float: left;
  width: 100%;
}
#forum .title {
  font-weight: bold;
}
#forum div.postbody span.icons {
  float: right;
  min-width: 3%;
}
#forum div.postbody .content {
  overflow: hidden;
  clear: both;
}
#forum p.author {
  margin: 2px 0px 8px 0px;
}
#forum .content {
  clear: both;
}
#forum span.username {
  font-weight: bold;
}
#forum .postprofile {
  border-left: 1px solid #ffffff;
  margin: 0;
  padding: 4px;
  height: 100%;
  width: 180px;
}
@media only screen and (max-width: 768px) {
  #forum .postprofile {
    display: none !important;
  }
}
#forum .postprofile dd,
#forum .postprofile dt {
  padding: 0pt;
  margin: 0pt;
}
#forum span.buttons {
  display: block;
  clear: both;
  text-align: center;
  width: 78%;
}
#forum .clear {
  display: block;
  clear: both;
}
#forum textarea {
  width: 100%;
  height: 20em;
}
#forum .handle.ui-sortable-handle {
  cursor: move;
}
#forum .editor_toolbar {
  width: 100%;
}
#forum a.marked div {
  cursor: pointer;
  background-image: url("http://localhost/studIP/public/assets/images/icons/blue/staple.svg");
  background-size: 32px;
  position: absolute;
  top: -10px;
  right: 10px;
  height: 32px;
  width: 32px;
  transform: rotate(140deg);
}
#forum .new_posting {
  position: absolute;
  top: 10px;
  right: 10px;
}
#forum div.action-icons {
  display: none;
}
#forum dd.posting_icons {
  padding-top: 5px;
}
#forum dd.posting_icons img {
  vertical-align: bottom;
}
#forum dd.posting_icons a {
  margin-right: 5px;
}
#forum .smiley_favorites {
  text-align: center;
  padding-right: 5px;
}
#forum a.tooltip2 {
  color: black;
  cursor: help;
  display: inline-block;
  outline: none;
  position: relative;
  text-decoration: none;
}
#forum a.tooltip2 span {
  position: relative;
  display: inline-block;
  margin-bottom: 9px;
  background-color: rgba(255, 255, 255, 0.3);
  background-image: -moz-linear-gradient(top, rgba(255, 255, 255, 0.5), rgba(255, 255, 255, 0));
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(rgba(255, 255, 255, 0.5)), to(rgba(255, 255, 255, 0)));
  background-image: -webkit-linear-gradient(top, rgba(255, 255, 255, 0.5), rgba(255, 255, 255, 0));
  background-image: -o-linear-gradient(top, rgba(255, 255, 255, 0.5), rgba(255, 255, 255, 0));
  background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0.5), rgba(255, 255, 255, 0));
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#80ffffff', endColorstr='#00ffffff', GradientType=0);
  background-color: #ddd;
  border: 2px solid #ccc;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  top: 20%;
  bottom: none;
  -webkit-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.4), 0 1px 0 rgba(255, 255, 255, 0.5) inset;
  -moz-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.4), 0 1px 0 rgba(255, 255, 255, 0.5) inset;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.4), 0 1px 0 rgba(255, 255, 255, 0.5) inset;
  font-size: 10pt;
  font-weight: normal;
  margin-left: 0px;
  opacity: .95;
  padding: 10px;
  position: absolute;
  text-align: left;
  text-shadow: 0 1px 0 rgba(255, 255, 255, 0.4);
  visibility: hidden;
  white-space: normal;
  width: 400px;
  z-index: 999;
  clear: both;
}
#forum a.tooltip2:hover span {
  visibility: visible;
}
#forum li.selected {
  background-color: #DDDDFF;
}
#forum div.posting.bg2 {
  flex: 1;
}
#forum #tutorBreadcrumb {
  float: left;
  margin-bottom: 1em;
  font-size: 1.4em;
}
#forum #page-chooser {
  float: right;
  padding-right: 10px;
  margin-bottom: 1em;
}
